<?

if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (!empty($_POST['bold'])){
$msg = '[b]'.$msg.'[/b]';}
if (!empty($_POST['under'])){
$msg = '[u]'.$msg.'[/u]';}
if (!empty($_POST['color'])){
$msg = '[color='.$_POST['color'].']'.$msg.'[/color]';}
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>512){$err='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `besedka_post` WHERE `id_user` = '$user[id]' AND `msg` = '".mysql_escape_string($msg)."' AND `time` > '".($time-2000)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
else{
$msg=mysql_escape_string($msg);

if(isset($_POST['privat']))
{
$priv=abs(intval($_POST['privat']));
}else{
$priv=0;
}
mysql_query("INSERT INTO `besedka_post` (`id_user`, `time`, `msg`, `room`, `privat`) values('$user[id]', '$time', '$msg', '$room[id]', '$priv')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `lafes_g` = '".($user['lafes_g']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
//mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+3)."',`posts` = '".($user['posts']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
msg('Сообщение в эфире');
}
}
if ($room['umnik']=='1')include 'inc/umnik.php';
if ($room['shutnik']=='1')include 'inc/shutnik.php';
if ($room['bot']=='1')include 'inc/bot.php';
err();
echo "<div class='linegreen1'>";
echo " <a href='/besedka/room/$room[id]/".rand(1000,9999)."/'>Обновить</a> |\n";
echo "<a href='/smiles/index.php'>Смайлы</a> |\n";
echo "<a href='/besedka/online.php'>Кто в эфире?</a>\n";
echo'</div>';
if (isset($user))
{
echo '<div class="textmes">';
echo "<form method=\"post\" name='message' action=\"/besedka/room/$room[id]/".rand(1000,9999)."/\"></textarea> \n";
if ($set['web'] && is_file(H.'style/themes/'.$set['set_them'].'/altername_post_form.php'))
include_once H.'style/themes/'.$set['set_them'].'/altername_post_form.php';
else
if($user['group_access'] > 1){
echo "<label><input type=\"checkbox\" name=\"bold\" value=\"$user[id]\" /> <b>Aa</b></label>\n";
echo "<label><input type=\"checkbox\" name=\"under\" value=\"$user[id]\" /> <u>Bb</u></label><br />\n";}
echo "<input name=\"msg\" type=\"text\" maxlength='200' value='' />\n";
//echo "<textarea name=\"msg\"></textarea><br/>\n";
echo "<input value=\"Сказать\" type=\"submit\" /><br/>\n";
echo "</form>\n";
echo '</div>';
}
$set['p_str'] = 12;
$k_post=mysql_result(mysql_query("SELECT COUNT(`id`) FROM `besedka_post` WHERE `room` = '$room[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "   <tr>\n";
echo "Нет сообщений\n";
}
$q=mysql_query("SELECT * FROM `besedka_post` WHERE `room` = '$room[id]' AND (`privat`='0' OR (`privat`='".$user['id']."' OR `id_user`='".$user['id']."')) ORDER BY id DESC LIMIT $start, $set[p_str]");

while ($post = mysql_fetch_array($q))
{
if ($post['umnik_st']==0 && $post['shutnik']==0 && $post['bot']==NULL) 
$ank=get_user($post['id_user']);

if($num==1){
echo "<div class='linechat'>";
$num=0;
}else{
echo "<div class='linechat'>";
$num=1;}


if($post['privat'])
{
$Te6e_cyka='<font color="darkred">[приватно]</font> ';
$privat = '?priv=1';
}else{
$Te6e_cyka='';
$privat = '';
}
if (user_access('chat_clear'))
{
echo "<a href='/besedka/delete.php?id=$post[id]'><font color='black'>[<b>x</b>]</font></a>\n";
}
if ($post['umnik_st']==0 && $post['shutnik']==0 && $post['bot']==NULL)
echo "".online($ank['id'])." <a href='/besedka/room/$room[id]/".rand(1000,9999)."/$ank[id]/'><span style=\"color:$ank[ncolor]\"><b>$ank[nick]</b></span></a>$Te6e_cyka</a>\n";

echo "<font color='#afb0a3'>(".vremja($post['time']).")</font><br/>\n";
echo "<span style=\"color:$ank[mcolor]\">";
echo str_replace($user['nick'],"<u><span style=\"color:$user[ncolor]\">".$user['nick']."</span></u>",esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['msg'])))))))))."\n";
echo "</span>\n";
echo "</div>\n";
}

if ($k_page>1)str("/besedka/room/$room[id]/".rand(1000,9999)."/?",$k_page,$page); // Вывод страниц

echo "<div class='foot'>";
echo "<a href='/smiles/index.php'>Смайлы</a> \n";
echo "</div>\n";
?>